# $Revision: 1.180 $, $Date: 2012/04/17 17:22:35 $
#
# TODO:
# - make modprobe of kernel mouse modules for 2.5
# - unpackaged:
#   /usr/bin/mouse-test
#   /usr/sbin/hltest
#
Summary:	General Purpose Mouse support for Linux
Summary(de.UTF-8):	Allgemeine Mausunterstützung für Linux
Summary(es.UTF-8):	Soporte para ratón en terminales modo texto
Summary(fr.UTF-8):	Gestion générale de la souris pour Linux
Summary(ja.UTF-8):	Linuxコンソールのためのマウス・サーバ。
Summary(pl.UTF-8):	Wsparcie dla myszki w systemie Linux
Summary(pt_BR.UTF-8):	Suporte para mouse em terminais modo texto
Summary(ru.UTF-8):	Сервер работы с мышью для консоли Linux
Summary(tr.UTF-8):	Genel amaçlı fare desteği
Summary(uk.UTF-8):	Сервер роботи з мишою для консолі Linux
Name:		gpm
Version:	1.20.6
Release:	15
Epoch:		1
License:	GPL v2+
Group:		Daemons
Source0:	http://linux.schottelius.org/gpm/archives/%{name}-%{version}.tar.bz2
# Source0-md5:	6b534da16dc1b28ba828dea89e520f6f
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
Source4:	%{name}.upstart
Source5:	%{name}.service
# Source3-md5:	893cf1468604523c6e9f9257a5671688
Patch0:		%{name}-info.patch
Patch1:		%{name}-DESTDIR.patch
Patch2:		%{name}-gawk.patch
Patch3:		%{name}-nodebug.patch
Patch4:		%{name}-dont_display_stupid_error_messages.patch
Patch5:		%{name}-ncursesw.patch
Patch6:		close-fds.patch
URL:		http://linux.schottelius.org/gpm/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	gawk
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	rpmbuild(macros) >= 1.626
BuildRequires:	texinfo
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun,postun):	systemd-units >= 38
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	rc-scripts >= 0.4.3.0
Requires:	systemd-units >= 38
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GPM adds mouse support to text-based Linux applications such as emacs,
Midnight Commander, and more. It also provides console cut-and-paste
operations using the mouse. Includes a program to allow pop-up menus
to appear at the click of a mouse button.

%description -l de.UTF-8
GPM ermöglicht Maus-Unterstützung für zeichenorientierte Linux-
Anwendungen wie z.B. emacs und Midnight Commander. Außerdem sind
Ausschneiden und Einfügen mit der Maus auf der Konsole möglich.
Enthält ein Programm, daß bei Mausklick ein Pop-up-Menü aufruft.

%description -l es.UTF-8
Gpm acrecienta soporte a ratón para aplicaciones Linux basadas en modo
texto, como emacs, Midnight Commander, y otros. Ofrece aún, soporte a
pantalla y operaciones de cortar-pegar usando el ratón.

%description -l fr.UTF-8
GPM ajoute un support souris au applications en mode texte de Linux
comme emacs, Midnight Commander, et bien d'autres. Cela fournit aussi
des opérations de copier/coller avec la souris sur les consoles.
Comprend un programme pour permettre l'apparition de menus déroulants
grace à un clic droit avec la souris.

%description -l ja.UTF-8
gpm はemacsエディタやMidnight
Commander等のテキストベースで動作するアプリケーション
に対するマウスサポートを行うパッケージ。

%description -l pl.UTF-8
GPM zapewnia wsparcie dla myszki w systemie Linux na konsoli
systemowej. Dzięki niemu można zaznaczać fragmenty tekstu na konsoli i
wklejać je w obrabiany plik tekstowy. Operacje te są najczęściej
dokonywane przez przytrzymanie lewego klawisza myszki (operacja
zaznaczania fragmentu tekstu) i następnie wciśnięcie środkowego
klawisza myszki (operacja wklejania tekstu).

%description -l pt_BR.UTF-8
Gpm acrescenta suporte a mouse para aplicações Linux baseadas em modo
texto, como emacs, Midnight Commander, e outros. Fornece ainda, para a
console, operações de cortar e colar usando o mouse.

%description -l ru.UTF-8
GPM обеспечивает поддержку мыши в текстовых приложениях Linux, таких
как emacs, Midnight Commander и других. Также обеспечивает операции
вырезки и вставки на консоли с использованием мыши. Включает
программу, позволяющую вызывать всплывающие меню по нажатию кнопки
мыши.

%description -l tr.UTF-8
GPM metin ekranda çalışan Linux uygulamalarına (emacs, Midnight
Commander ve diğerleri gibi) fare desteği sağlar. Ayrıca fare
yardımıyla konsollar arasında kopyalama ve yapıştırma olanağı sunar.
Fare tıklamasıyla pop-up menülerin çıkmasını sağlayan bir program da
içerir.

%description -l uk.UTF-8
GPM забезпечує підтримку миші в текстових програмах Linux, таких як
emacs, Midnight Commander та інших. Також забезпечує операції вирізки
та вставки на консолі з використанням миші. Містить програму, що
дозволяє викликати спливаючі меню натискаючи кнопку миші.

%package libs
Summary:	GPM libraries
Summary(pl.UTF-8):	Biblioteki GPM
Group:		Libraries
Obsoletes:	libgpm1
Conflicts:	gpm < 1.19.3-7

%description libs
This package contains library files neccessary to run most of
mouse-aware applications.

%description libs -l pl.UTF-8
Ten pakiet zawiera biblioteki potrzebne do uruchomienia większości
programów ze wsparciem do obsługi myszki.

%package devel
Summary:	Header files and documentation for writing mouse driven programs
Summary(es.UTF-8):	Bibliotecas y archivos de inclusión para desarrollar programas que utilicen ratón
Summary(ja.UTF-8):	gpmの開発ライブラリ
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do gpm
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos de inclusão para desenvolver programas que utilizam mouse
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Obsoletes:	libgpm1-devel

%description devel
This package allows you to develop your own text-mode programs that
take advantage of the mouse.

%description devel -l de.UTF-8
Mit diesem Paket können Sie Ihre eigenen text-orientierten Programme
mit Mausunterstützung entwickeln.

%description devel -l es.UTF-8
Este paquete permite el desarrollo de programas en modo texto que usan
ratón.

%description devel -l fr.UTF-8
Ce paquetage permet de développer des programmes en mode texte tirant
avantage de la souris.

%description devel -l ja.UTF-8
gpm-develはgpmを利用したアプリケーション開発に必要なライブラリやヘッダファイル
をパッケージングしたもの。

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja dla gpm. Dzięki nim będziesz mógł
pisać własne programy z wykorzystaniem myszki.

%description devel -l pt_BR.UTF-8
Este pacote permite o desenvolvimento de programas em modo texto que
usam mouse.

%description devel -l ru.UTF-8
GPM обеспечивает поддержку мыши в текстовых приложениях Linux, таких
как emacs, Midnight Commander и других. Также обеспечивает операции
вырезки и вставки на консоли с использованием мыши. Включает
программу, позволяющую вызывать всплывающие меню по нажатию кнопки
мыши.

%description devel -l tr.UTF-8
Bu paket, fare kullanan yazılımlar geliştirmenizi sağlayan dosyaları
içerir.

%description devel -l uk.UTF-8
GPM забезпечує підтримку миші в текстових програмах Linux, таких як
emacs, Midnight Commander та інших. Також забезпечує операції вирізки
та вставки на консолі з використанням миші. Містить програму, що
дозволяє викликати спливаючі меню натискаючи кнопку миші.

%package static
Summary:	Static gpm library
Summary(es.UTF-8):	Static library for developing mouse driven programs
Summary(pl.UTF-8):	Biblioteki statyczne gpm
Summary(pt_BR.UTF-8):	Biblioteca de desenvolvimento estática do gpm
Summary(ru.UTF-8):	Статическая библиотека для разработки программ, использующих мышь Статическая
Summary(uk.UTF-8):	Статична бібліотека для розробки програм, що використовують мишу
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static gpm library.

%description static -l es.UTF-8
Este paquete permite el desarrollo de programas en modo texto que usan
ratón.

%description static -l pl.UTF-8
Biblioteki statyczne gpm.

%description static -l pt_BR.UTF-8
Este pacote contém uma biblioteca estática para ser usada no
desenvolvimento de programas modo texto que usem o mouse e que desejam
linkar a biblioteca gpm estaticamente.

%description static -l ru.UTF-8
Этот пакет позволяет разрабатывать текстовые приложения, использующие
мышь.

%description static -l uk.UTF-8
Цей пакет дозволяє розробляти текстові програми, що використовують
мишу.

%package emacs
Summary:	Emacs mode for GPM
Summary(pl.UTF-8):	Tryb GPM dla Emacsa
Group:		Development/Tools
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description emacs
Emacs mode files for GPM.

%description emacs -l pl.UTF-8
Pliki trybu GPM dla Emacsa.

%package upstart
Summary:	Upstart job description for gpm
Summary(pl.UTF-8):	Opis zadania Upstart dla gpm
Group:		Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	upstart >= 0.6

%description upstart
Upstart job description for gpm.

%description upstart -l pl.UTF-8
Opis zadania Upstart dla gpm.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%{!?debug:%patch3 -p1}
%patch4 -p1
%patch5 -p1
%patch6 -p1

sed -i -e 's#/usr##' doc/manpager

%build
%{__aclocal}
%{__autoconf}
%configure \
	CPPFLAGS="%{rpmcppflags} -I/usr/include/ncursesw -I headers" \
	--with-curses

%{__make} \
	LDFLAGS="%{rpmcflags} %{rpmldflags}" \
	DEFS="-DHAVE_CONFIG_H -D_GNU_SOURCE"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig,init},%{systemdunitdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -p conf/gpm-root.conf $RPM_BUILD_ROOT%{_sysconfdir}
install -p src/prog/mouse-test src/prog/hltest $RPM_BUILD_ROOT%{_sbindir}

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/gpm
install -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/mouse
cp -p %{SOURCE4} $RPM_BUILD_ROOT/etc/init/gpm.conf
cp -a %{SOURCE5} $RPM_BUILD_ROOT%{systemdunitdir}/gpm.service

bzip2 -dc %{SOURCE3} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
%{__rm} $RPM_BUILD_ROOT%{_mandir}/README.gpm-non-english-man-pages
%{__rm} $RPM_BUILD_ROOT%{_mandir}/gpm-man.patch

install -d $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
install -p contrib/emacs/*.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp

# for rpm autodeps
chmod +x $RPM_BUILD_ROOT%{_libdir}/libgpm.so.*

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

/sbin/chkconfig --add gpm
%service gpm restart "gpm daemon"
%systemd_post gpm.service

%preun
if [ "$1" = "0" ]; then
	%service gpm stop
	/sbin/chkconfig --del gpm
fi
%systemd_preun gpm.service

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
%systemd_reload

%triggerpostun -- %{name} < 1:1.20.6-11
if [ -f /etc/sysconfig/mouse ]; then
	. /etc/sysconfig/mouse
	OPTIONS=""
	if [ -n "$DEVICE" ]; then
		OPTIONS="-m $DEVICE"
	else
		OPTIONS="-m /dev/input/mice"
	fi
	if [ -n "$MOUSETYPE" ]; then
		OPTIONS="$OPTIONS -t $MOUSETYPE"
	else
		OPTIONS="$OPTIONS -t imps2"
	fi
	[ -n "$BAUD_RATE" ] && OPTIONS="$OPTIONS -b $BAUD_RATE"
	[ -n "$CLEAR_LINES" ] && OPTIONS="$OPTIONS -o $CLEAR_LINES"
	[ -n "$BUTTON_SEQ" ] && OPTIONS="$OPTIONS -B $BUTTON_SEQ"
	[ -n "$TAP_BUTTON" ] && OPTIONS="$OPTIONS -g $TAP_BUTTON"
	[ -n "$ACCEL" ] && OPTIONS="$OPTIONS -a $ACCEL"
	[ -n "$DELTA" ] && OPTIONS="$OPTIONS -d $DELTA"
	[ -n "$INTERVAL" ] && OPTIONS="$OPTIONS -i $INTERVAL"
	[ -n "$RESP" ] && OPTIONS="$OPTIONS -r $RESP"
	[ -n "$SAMPLE_RATE" ] && OPTIONS="$OPTIONS -s $SAMPLE_RATE"
	[ -n "$CHARSET" ] && OPTIONS="$OPTIONS -l \\\"$(echo "$CHARSET" | sed -e 's,",\\",g')\\\""
	[ "$BUTTON_COUNT" = "2" ] && OPTIONS="$OPTIONS -2"
	[ "$BUTTON_COUNT" = "3" ] && OPTIONS="$OPTIONS -3"
	if [ -n "$POINTER_VIS" ] && [ "$POINTER_VIS" != "no" ]; then
		OPTIONS="$OPTIONS -p"
	fi
	if [ -n "$REPEATER" ] && [ "$REPEATER" != "no" ]; then
		OPTIONS="$OPTIONS -R"
	fi
	%{__cp} -f /etc/sysconfig/mouse{,.rpmsave}
	[ -f /etc/sysconfig/mouse.rpmnew ] && %{__cp} -f /etc/sysconfig/mouse{.rpmnew,}
	echo >>/etc/sysconfig/mouse
	echo "# Added by rpm trigger" >>/etc/sysconfig/mouse
	echo "GPM_OPTIONS=\"$OPTIONS\"" >>/etc/sysconfig/mouse
fi
%systemd_trigger gpm.service

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post upstart
%upstart_post gpm

%postun upstart
%upstart_postun gpm

%files
%defattr(644,root,root,755)
%doc BUGS Changes README TODO doc/FAQ doc/README* conf/*.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gpm-root.conf
%attr(754,root,root) /etc/rc.d/init.d/gpm
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/mouse
%{systemdunitdir}/gpm.service

%attr(755,root,root) %{_bindir}/display-buttons
%attr(755,root,root) %{_bindir}/display-coords
%attr(755,root,root) %{_bindir}/disable-paste
%attr(755,root,root) %{_bindir}/get-versions
%attr(755,root,root) %{_bindir}/gpm-root
%attr(755,root,root) %{_bindir}/hltest
%attr(755,root,root) %{_bindir}/mev
%attr(755,root,root) %{_sbindir}/mouse-test
%attr(755,root,root) %{_sbindir}/gpm

%{_infodir}/gpm.info*
%{_mandir}/man1/gpm-root.1*
%{_mandir}/man1/mev.1*
%{_mandir}/man1/mouse-test.1*
%{_mandir}/man7/gpm-types.7*
%{_mandir}/man8/gpm.8*
%lang(es) %{_mandir}/es/man[178]/*
%lang(hu) %{_mandir}/hu/man[178]/*
%lang(pl) %{_mandir}/pl/man[178]/*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgpm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgpm.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgpm.so
%{_includedir}/gpm.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libgpm.a

%files emacs
%defattr(644,root,root,755)
%{_datadir}/emacs/site-lisp/*.el*

%files upstart
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/init/gpm.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gpm.spec,v $
Revision 1.180  2012/04/17 17:22:35  baggins
- rel 15
- better systemd deps

Revision 1.179  2012/04/16 21:01:03  glen
- close fds patch

Revision 1.178  2012/03/02 20:17:48  glen
- try to escape " in $CHARSET for trigger

Revision 1.177  2012/02/20 20:23:56  arekm
- rel 12; epoch for upstart subpackage dep

Revision 1.176  2012/02/13 21:06:13  baggins
- rel 11
- added systemd support
- upstart script moved to separate package

Revision 1.175  2012/01/10 16:43:53  lisu
- restored -ncursesw.patch and just modify it

Revision 1.174  2012/01/10 16:21:11  lisu
- no more separated libtinfo(w)

Revision 1.173  2011/12/02 00:00:36  cactus
- rel 10

Revision 1.172  2011/12/01 17:03:37  cactus
- rel 9; wrong pid file in initd fool systemd about gpm running

Revision 1.171  2011/09/25 10:40:54  glen
- update upstart deps

Revision 1.170  2011/09/03 06:49:46  arekm
- rel 8; fix install

Revision 1.169  2011/09/03 06:46:12  arekm
- release 7

Revision 1.168  2011/09/02 06:28:23  glen
- add upstart

Revision 1.167  2011/08/31 18:31:05  arekm
- release 5

Revision 1.166  2011/03/22 07:37:58  glen
- mouse-test needs root to open /dev, move to sbin

Revision 1.165  2011/02/06 23:27:48  sparky
- unified %define date used for %changelog

Revision 1.164  2010/04/15 12:21:22  arekm
- rel 3; permanently enable wide ncurses

Revision 1.163  2009/11/27 02:36:30  sparky
- fix dependency generation

Revision 1.162  2009/09/25 18:46:05  witekfl
- added bcond with_ncursesw (mc-4.7.0 crashed on startup because
of different sonames of libtinfo and libncursesw)

Revision 1.161  2009/02/09 23:48:57  adamg
- updated to 1.20.6

Revision 1.160  2008/09/10 11:56:12  hawk
- dropped libgpm.so.1 symlink, it still was being deleted on package upgrad
  thus breaking all apps linked with .so.1, it will be better to rebuild all
  these apps with libgpm.so.2

Revision 1.159  2008/08/22 14:24:30  qboosh
- stable libgpm.so.1 symlink (pointing to real file, not ghost) to avoid deletion by ldconfig
- release 2

Revision 1.158  2008/08/22 06:57:33  pablo
- previous commit reverted

Revision 1.156  2008/08/10 20:28:17  arekm
- rel 1

Revision 1.155  2008/07/20 17:51:36  qboosh
- updated info patch to unify direntry formatting

Revision 1.154  2008/07/20 17:48:28  qboosh
- updated init script

Revision 1.153  2008/07/20 17:48:00  qboosh
- more verbose files
- provide libgpm.so.1 compatibility symlink as we can

Revision 1.152  2008/07/20 17:03:59  qboosh
- encoding fixed

Revision 1.151  2008/06/29 18:44:01  areq
- emacs/*.el by Paweł Zuzelski

Revision 1.150  2008/06/19 15:13:25  adamg
- todo about soname change (comments?)

Revision 1.149  2008/06/19 15:02:20  adamg
- cleanups

Revision 1.148  2008/06/19 11:33:55  adamg
- updated to 1.20.5
- gpm-link.patch gpm-lib-segv.patch gpm-pmake.patch gpm-wheel.patch
  gpm-root.patch gpm-serialconsole.patch gpm-OPEN_MAX.patch gpm-mawk.patch
  patches outdated
- emacs subpackage
- release 0.1 (testing)

Revision 1.147  2008-05-18 16:19:26  adamg
- previous commit reverted (mistake)

Revision 1.145  2008-05-17 22:44:08  areq
- fix log

Revision 1.144  2008-05-17 22:43:06  areq
- DEFS="-DHAVE_CONFIG_H -D_GNU_SOURCE"

Revision 1.143  2008-05-01 17:13:15  areq
- proper source URL (avaible gpm-1.20.3)

Revision 1.142  2008-01-24 01:23:00  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.141  2007-10-09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.140  2007/09/06 13:54:29  baggins
- rel 11

Revision 1.139  2007/03/18 12:50:21  glen
- fix autodeps for -libs; rel 10

Revision 1.138  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.137  2007/02/12 00:48:54  baggins
- converted to UTF-8

Revision 1.136  2007/02/11 00:30:00  tommat
- pass rpmcflags when linking

Revision 1.135  2006/09/26 22:53:14  glen
- rel 9

Revision 1.134  2006/08/05 02:21:22  sparky
- LDFLAGS="%{rpmldflags}" (configure overwrites passed LDFLAGS)

Revision 1.133  2006/07/27 21:01:56  witekfl
- added the weel.patch
- rel 8

Revision 1.132  2006/07/26 22:23:12  matowy
- added URL

Revision 1.131  2006/02/27 23:35:08  glen
- use %service

Revision 1.130  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.129  2005/03/26 15:02:55  mmazur
- rel 7 for th

Revision 1.128  2004/12/20 18:58:08  qboosh
- BR: texinfo

Revision 1.127  2004/10/29 10:24:53  areq
- use /bin/awk in doc/manpager

Revision 1.126  2004/10/27 22:59:08  qboosh
- strict internal deps, pl fix

Revision 1.125  2004/01/23 12:16:34  jajcus
- Release: 6 (to rebuild on AMD64 and _tag_)

Revision 1.124  2003/09/02 15:14:14  qboosh
- removed default _sysconfdir definition, other cosmetics

Revision 1.123  2003/08/30 15:45:58  mmazur
- rel 5 for ac

Revision 1.122  2003/07/29 15:45:00  qboosh
- more specific Requires, more changes where needed

Revision 1.121  2003/06/23 18:07:32  jareq
- fixed epoch:version issue

Revision 1.120  2003/05/25 11:11:21  malekith
- revert massive fsckup

Revision 1.119  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.118  2003/05/25 05:48:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.117  2003/05/25 01:42:41  adgor
- Sources md5

Revision 1.116  2003/04/30 18:30:02  zagrodzki
- modified gpm.init/sysconfig
- rel. 4

Revision 1.115  2003/03/26 02:42:55  blues
- small todo added

Revision 1.114  2003/03/01 12:26:10  juandon
- added pmake.patch

Revision 1.113  2003/02/01 17:16:14  qboosh
- added lib-segv patch (fix for SEGV which makes mc unusable)
- replaced lm patch with link patch - link with -lm only when necessary,
  some linking cleanups, link only with shared -lgpm
- release 3

Revision 1.112  2003/02/01 11:40:48  ankry
- use -lm ; rel. 2

Revision 1.111  2003/01/31 15:53:58  qboosh
- Epoch 1 (somebody forgot about putting "0." before rc1 in Release)

Revision 1.110  2003/01/31 14:02:25  qboosh
- final 1.20.1
- updated DESTDIR,root,serialconsole,nodebug,dont* patches and init script

Revision 1.109  2002/10/21 01:04:08  kloczek
- release *.4,
- fixed http://bugs.pld.org.pl/?bug=385 (more fixes in dont_display_stupid_error_messages
  patch).

Revision 1.108  2002/10/06 10:26:50  kloczek
- release *.3,
- remove display error message "Oh, oh, it's an error! possibly I die!" on
  pty sessions (added dont_display_stupid_error_messages patch).

Revision 1.107  2002/09/19 23:44:52  wolf
- changed nice level to -1

Revision 1.106  2002/07/03 23:00:23  kloczek
- merge ja translations from TurboLinux.

Revision 1.105  2002/07/03 22:44:08  blues
- release 1
- STBR for tests
  NOTE: if you have scroll mouse and it crashes while going X -> console
  change mouse type to exps2. It works...

Revision 1.104  2002/06/30 16:21:02  blues
- corrected naming scheme

Revision 1.103  2002/06/30 16:19:50  blues
- release 2
- one patch less

Revision 1.102  2002/06/30 16:09:56  blues
- 1.20.1rc1 (started updating - one patch left)
- release 0.1

Revision 1.101  2002/06/18 09:33:00  qboosh
- added detaching fd 0 from terminal to init script
- new %doc, release 0.12

Revision 1.100  2002/05/21 23:13:24  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.99  2002/05/15 20:11:19  qboosh
- fixed console number detection (vcnum-bug patch), release 0.11

Revision 1.98  2002/05/03 21:04:56  qboosh
- nodebug patch: killed that debugging spam in gpm and libgpm
- release 0.10

Revision 1.97  2002/04/25 16:29:06  arturs
- fixed a small typo

Revision 1.96  2002/03/12 09:55:35  qboosh
- fixed changelog and pl description

Revision 1.95  2002/03/11 23:26:43  blues
- *** empty log message ***

Revision 1.94  2002/03/11 16:35:59  blues
- 0.3
- few more patches updated

Revision 1.93  2002/03/11 16:15:27  blues
- 0.2
- few outdated patches removed, DESTDIR updated, builds now.
  NFY

Revision 1.92  2002/03/11 15:45:20  blues
- rel 0.1 - started updating to 1.20.0

Revision 1.91  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.90  2002/02/19 03:53:14  kloczek
- release 6.

Revision 1.89  2002/02/18 19:28:54  gotar
- %desc

Revision 1.88  2002/02/16 18:37:00  kloczek
- merge translations from Conectiva.

Revision 1.87  2002/02/15 22:39:26  qboosh
- release 5: marked /etc/gpm-root.conf with verify tag

Revision 1.86  2002/01/24 00:13:00  ankry
- added man-pages tar URL

Revision 1.85  2002/01/18 02:13:11  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.84  2002/01/03 07:34:00  blues
- added cosmetics in post

Revision 1.83  2002/01/02 18:17:04  kloczek
- release 4: libgpm1{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.82  2001/11/10 23:27:56  ankry
- added es,hu,pl man pages
- release 3

Revision 1.81  2001/10/30 17:31:13  qboosh
- release 2: gpm-libs Conflicts: gpm < 1.19.3-7

Revision 1.80  2001/10/11 16:19:41  qboosh
- 1.19.6
- updated DESTDIR,info,info_fixes,root patches
- removed obsolete nosecenhance patch
- added gawk patch (don't try to use mawk on gawk-specific script)

Revision 1.79  2001/10/10 15:05:35  qboosh
- BuildRequires: autoconf, automake

Revision 1.78  2001/09/24 20:12:29  qboosh
- 1.19.5
- updated info,DESTDIR,info_fixes,root,OPEN_MAX,limits,serialconsole patches
- removed non-root,checkdevfsbug patches
- updated %files (more docs, man7 page)
- added nosecenhance patch (argh, secenhance patch is in sources)

Revision 1.77  2001/09/24 13:18:35  qboosh
- release 4: Prereq: /sbin/chkconfig

Revision 1.76  2001/09/09 18:24:44  qboosh
- release 3: more fixes in checkdevfsbug patch

Revision 1.75  2001/09/08 14:22:02  kloczek
- release 2.

Revision 1.74  2001/09/08 10:52:47  qboosh
- checkdevfsbug patch: fixes SEGV caused by use of uninitialized local variable

Revision 1.73  2001/09/06 09:31:40  kloczek
- adapterized.

Revision 1.72  2001/09/06 09:31:23  kloczek
- updated to 1.19.4,
- new Source url,
- removed outdated tempfilesecurity patch.

Revision 1.71  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.69  2001/07/15 19:38:01  kloczek
- fixed ru Summary in static.

Revision 1.68  2001/07/15 16:56:37  blues
- release 21
- ac 2.50 ready
- secenhance patch is out. It's stupid and makes stupid things. kloczek -
  think twice before such a patches. Check them. This one was out some time
  ago.

Revision 1.67  2001/07/06 13:09:19  kloczek
- release 20,
- run ldconfig in %postun (not %preun) in libs,
- added missing "Requires: %{name} = %{version}" for main,
- spec adapterized,
- fix tmp race (patch from Conectiva),
- merge two patches from rawhide (secenhance and serialconsole),
- merge ru, uk translation form KSI.

Revision 1.66  2001/07/06 12:29:00  mis
- ldconfig call moved to libs subpkg (release 8)

Revision 1.65  2001/06/28 20:43:53  zagrodzki
- splitted libs from main gpm package
- rel. 7

Revision 1.64  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.63  2001/01/10 18:08:57  misiek
disabled patch19 -- SBO. release 6

Revision 1.62  2000/12/08 08:26:40  kloczek
- release 5: merged limits, secenhance patches from RH.

Revision 1.61  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.60  2000/10/31 14:43:56  wiget
fix building on glibc 2.2

Revision 1.59  2000/08/04 20:15:14  kloczek
- adapterized.

Revision 1.58  2000/08/04 19:55:30  baggins
- buildrequires gawk :(
- temporary commented out mawk patch

Revision 1.57  2000/08/04 19:53:20  baggins
- release 2
- buildrequires mawk
- added mawk patch

Revision 1.56  2000/07/24 08:05:23  kloczek
- updated to 1.19.3.

Revision 1.55  2000/07/18 13:32:00  baggins
- release 5
- fix init script (added missin -o option)

Revision 1.54  2000/07/13 23:10:07  baggins
- release 4
- rebuild with ncurses 5.1

Revision 1.53  2000/07/13 20:41:37  baggins
- release 3

Revision 1.52  2000/06/19 09:21:46  kloczek
- updated to 1.19.2 (rel 2).

Revision 1.51  2000/06/13 07:42:04  kloczek
- release 4.

Revision 1.50  2000/06/09 07:54:42  kloczek
- more %{__make} macros.

Revision 1.49  2000/06/09 07:22:52  kloczek
- added using %{__make} macro.

Revision 1.48  2000/05/24 16:50:45  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.47  2000/05/20 13:53:44  kloczek
- spec adapterized.

Revision 1.46  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.45  2000/04/17 17:48:51  kloczek
- release 3,
- removed using %{_sysconfdir} in some cases.

Revision 1.44  2000/04/17 16:29:43  mikrobi
- removed section adding unnecessary variables to sysconfig/mouse

Revision 1.43  2000/04/14 03:59:14  kloczek
- updated to 1.19.1,
- security fix (root patch from RH):
  - call initgroups in gpm-root before spawning command as user,
  - make gpm-root work on big endian.

Revision 1.42  2000/04/07 12:51:49  kloczek
- updated to 1.19.0,
- updated DESTDIR and nops patches and added info_fixes patch for rebuilding
  info pages if source file changed,
- fixed %preun,
- removed SONAME symlinks,
- new init script (added Requires: rc-scripts >= 0.2.0).

Revision 1.41  2000/04/01 11:14:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.40  2000/03/28 16:54:22  baggins
- translated kloczkish into english

Revision 1.39  2000/03/28 13:09:10  baggins
- release ++
- updated init script to rc-scripts 0.2.0

Revision 1.38  2000/02/28 21:34:51  kloczek
- release 7,
- _much_ more options in service syconfig file (by zagrodzki),
- spec adapterized.

Revision 1.37  1999/11/16 17:42:58  kloczek
- updated to 1.18.1,
- added BuildRequires rules,
- build agains ncurses 5.0.

Revision 1.36  1999/09/15 18:30:31  kloczek
- updated to 1.18.0,
- added README* and sample *.conf files to %doc,
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries
  format.

Revision 1.35  1999/09/11 13:39:02  misiek
- fixed requires (PR#33)

Revision 1.34  1999/09/01 02:22:01  kloczek
- updated to 1.17.9.

Revision 1.33  1999/07/31 20:55:03  kloczek
- release 4,
- fix: added passing LDFLAGS="-s" to ./configure environment (cause stripping
  some binaries in main package),
- added --strip-unneeded to stippng shared libraries.
  [1.17.8-1]
- now package is FHS 2.0 compliant.
